Index: /trunk/Delphes-3.0.0/Makefile
===================================================================
--- /trunk/Delphes-3.0.0/Makefile	(revision 3)
+++ /trunk/Delphes-3.0.0/Makefile	(revision 4)
@@ -31,11 +31,10 @@
 
 
-DelphesHepMC$(ExeSuf): \
-	tmp/readers/DelphesHepMC.$(ObjSuf)
-
-tmp/readers/DelphesHepMC.$(ObjSuf): \
-	readers/DelphesHepMC.cpp \
+DelphesSTDHEP$(ExeSuf): \
+	tmp/readers/DelphesSTDHEP.$(ObjSuf)
+
+tmp/readers/DelphesSTDHEP.$(ObjSuf): \
+	readers/DelphesSTDHEP.cpp \
 	modules/Delphes.h \
-	classes/DelphesStream.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -55,10 +54,23 @@
 	external/ExRootAnalysis/ExRootTreeBranch.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
-DelphesSTDHEP$(ExeSuf): \
-	tmp/readers/DelphesSTDHEP.$(ObjSuf)
-
-tmp/readers/DelphesSTDHEP.$(ObjSuf): \
-	readers/DelphesSTDHEP.cpp \
+DelphesHepMC$(ExeSuf): \
+	tmp/readers/DelphesHepMC.$(ObjSuf)
+
+tmp/readers/DelphesHepMC.$(ObjSuf): \
+	readers/DelphesHepMC.cpp \
 	modules/Delphes.h \
+	classes/DelphesStream.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	external/ExRootAnalysis/ExRootTreeWriter.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h \
+	external/ExRootAnalysis/ExRootProgressBar.h
+lhco2root$(ExeSuf): \
+	tmp/converters/lhco2root.$(ObjSuf)
+
+tmp/converters/lhco2root.$(ObjSuf): \
+	converters/lhco2root.cpp \
+	modules/Delphes.h \
+	classes/DelphesStream.h \
 	classes/DelphesClasses.h \
 	classes/DelphesFactory.h \
@@ -74,29 +86,17 @@
 	external/ExRootAnalysis/ExRootTreeReader.h \
 	external/ExRootAnalysis/ExRootProgressBar.h
-lhco2root$(ExeSuf): \
-	tmp/converters/lhco2root.$(ObjSuf)
-
-tmp/converters/lhco2root.$(ObjSuf): \
-	converters/lhco2root.cpp \
-	modules/Delphes.h \
-	classes/DelphesStream.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	external/ExRootAnalysis/ExRootTreeWriter.h \
-	external/ExRootAnalysis/ExRootTreeBranch.h \
-	external/ExRootAnalysis/ExRootProgressBar.h
 EXECUTABLE =  \
+	DelphesSTDHEP$(ExeSuf) \
+	DelphesLHEF$(ExeSuf) \
 	DelphesHepMC$(ExeSuf) \
-	DelphesLHEF$(ExeSuf) \
-	DelphesSTDHEP$(ExeSuf) \
-	root2lhco$(ExeSuf) \
-	lhco2root$(ExeSuf)
+	lhco2root$(ExeSuf) \
+	root2lhco$(ExeSuf)
 
 EXECUTABLE_OBJ =  \
+	tmp/readers/DelphesSTDHEP.$(ObjSuf) \
+	tmp/readers/DelphesLHEF.$(ObjSuf) \
 	tmp/readers/DelphesHepMC.$(ObjSuf) \
-	tmp/readers/DelphesLHEF.$(ObjSuf) \
-	tmp/readers/DelphesSTDHEP.$(ObjSuf) \
-	tmp/converters/root2lhco.$(ObjSuf) \
-	tmp/converters/lhco2root.$(ObjSuf)
+	tmp/converters/lhco2root.$(ObjSuf) \
+	tmp/converters/root2lhco.$(ObjSuf)
 
 tmp/classes/ClassesDict.$(SrcSuf): \
@@ -147,4 +147,10 @@
 	tmp/external/ExRootAnalysis/ExRootAnalysisDict.$(ObjSuf)
 
+tmp/classes/DelphesStream.$(ObjSuf): \
+	classes/DelphesStream.$(SrcSuf) \
+	classes/DelphesStream.h
+tmp/classes/DelphesFormula.$(ObjSuf): \
+	classes/DelphesFormula.$(SrcSuf) \
+	classes/DelphesFormula.h
 tmp/classes/DelphesModule.$(ObjSuf): \
 	classes/DelphesModule.$(SrcSuf) \
@@ -165,10 +171,41 @@
 	classes/DelphesClasses.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/classes/DelphesFormula.$(ObjSuf): \
-	classes/DelphesFormula.$(SrcSuf) \
-	classes/DelphesFormula.h
-tmp/classes/DelphesStream.$(ObjSuf): \
-	classes/DelphesStream.$(SrcSuf) \
-	classes/DelphesStream.h
+tmp/modules/ParticlePropagator.$(ObjSuf): \
+	modules/ParticlePropagator.$(SrcSuf) \
+	modules/ParticlePropagator.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/BTagging.$(ObjSuf): \
+	modules/BTagging.$(SrcSuf) \
+	modules/BTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TreeWriter.$(ObjSuf): \
+	modules/TreeWriter.$(SrcSuf) \
+	modules/TreeWriter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/ExRootAnalysis/ExRootTreeBranch.h
+tmp/modules/MagneticField.$(ObjSuf): \
+	modules/MagneticField.$(SrcSuf) \
+	modules/MagneticField.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/Delphes.$(ObjSuf): \
 	modules/Delphes.$(SrcSuf) \
@@ -182,4 +219,109 @@
 	external/ExRootAnalysis/ExRootConfReader.h \
 	external/ExRootAnalysis/ExRootTreeWriter.h
+tmp/modules/Efficiency.$(ObjSuf): \
+	modules/Efficiency.$(SrcSuf) \
+	modules/Efficiency.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TauTagging.$(ObjSuf): \
+	modules/TauTagging.$(SrcSuf) \
+	modules/TauTagging.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/FastJetFinder.$(ObjSuf): \
+	modules/FastJetFinder.$(SrcSuf) \
+	modules/FastJetFinder.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/JetDefinition.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/plugins/SISCone/fastjet/SISConePlugin.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
+	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
+tmp/modules/Tracking.$(ObjSuf): \
+	modules/Tracking.$(SrcSuf) \
+	modules/Tracking.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/EnergySmearing.$(ObjSuf): \
+	modules/EnergySmearing.$(SrcSuf) \
+	modules/EnergySmearing.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Isolation.$(ObjSuf): \
+	modules/Isolation.$(SrcSuf) \
+	modules/Isolation.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Merger.$(ObjSuf): \
+	modules/Merger.$(SrcSuf) \
+	modules/Merger.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/TauJetFinder.$(ObjSuf): \
+	modules/TauJetFinder.$(SrcSuf) \
+	modules/TauJetFinder.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/UniqueObjectFinder.$(ObjSuf): \
+	modules/UniqueObjectFinder.$(SrcSuf) \
+	modules/UniqueObjectFinder.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/MomentumSmearing.$(ObjSuf): \
+	modules/MomentumSmearing.$(SrcSuf) \
+	modules/MomentumSmearing.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/modules/Calorimeter.$(ObjSuf): \
+	modules/Calorimeter.$(SrcSuf) \
+	modules/Calorimeter.h \
+	classes/DelphesClasses.h \
+	classes/DelphesFactory.h \
+	classes/DelphesFormula.h \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
 tmp/modules/ExampleModule.$(ObjSuf): \
 	modules/ExampleModule.$(SrcSuf) \
@@ -191,153 +333,25 @@
 	external/ExRootAnalysis/ExRootFilter.h \
 	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/ParticlePropagator.$(ObjSuf): \
-	modules/ParticlePropagator.$(SrcSuf) \
-	modules/ParticlePropagator.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/MomentumSmearing.$(ObjSuf): \
-	modules/MomentumSmearing.$(SrcSuf) \
-	modules/MomentumSmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TauTagging.$(ObjSuf): \
-	modules/TauTagging.$(SrcSuf) \
-	modules/TauTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/TreeWriter.$(ObjSuf): \
-	modules/TreeWriter.$(SrcSuf) \
-	modules/TreeWriter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
+tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootFilter.h \
+	external/ExRootAnalysis/ExRootClassifier.h
+tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootResult.h \
+	external/ExRootAnalysis/ExRootUtilities.h
+tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/modules/TauJetFinder.$(ObjSuf): \
-	modules/TauJetFinder.$(SrcSuf) \
-	modules/TauJetFinder.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/UniqueObjectFinder.$(ObjSuf): \
-	modules/UniqueObjectFinder.$(SrcSuf) \
-	modules/UniqueObjectFinder.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Calorimeter.$(ObjSuf): \
-	modules/Calorimeter.$(SrcSuf) \
-	modules/Calorimeter.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/BTagging.$(ObjSuf): \
-	modules/BTagging.$(SrcSuf) \
-	modules/BTagging.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/EnergySmearing.$(ObjSuf): \
-	modules/EnergySmearing.$(SrcSuf) \
-	modules/EnergySmearing.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/MagneticField.$(ObjSuf): \
-	modules/MagneticField.$(SrcSuf) \
-	modules/MagneticField.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Efficiency.$(ObjSuf): \
-	modules/Efficiency.$(SrcSuf) \
-	modules/Efficiency.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Tracking.$(ObjSuf): \
-	modules/Tracking.$(SrcSuf) \
-	modules/Tracking.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Merger.$(ObjSuf): \
-	modules/Merger.$(SrcSuf) \
-	modules/Merger.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/Isolation.$(ObjSuf): \
-	modules/Isolation.$(SrcSuf) \
-	modules/Isolation.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
-tmp/modules/FastJetFinder.$(ObjSuf): \
-	modules/FastJetFinder.$(SrcSuf) \
-	modules/FastJetFinder.h \
-	classes/DelphesClasses.h \
-	classes/DelphesFactory.h \
-	classes/DelphesFormula.h \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/JetDefinition.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/plugins/SISCone/fastjet/SISConePlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFMidPointPlugin.hh \
-	external/fastjet/plugins/CDFCones/fastjet/CDFJetCluPlugin.hh
+tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootTreeReader.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootTreeReader.h
 tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootProgressBar.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootProgressBar.h
-tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootResult.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootResult.h \
-	external/ExRootAnalysis/ExRootUtilities.h
+tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
+	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
+	external/ExRootAnalysis/ExRootConfReader.h \
+	external/tcl/tcl.h
 tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootUtilities.$(SrcSuf) \
@@ -347,25 +361,29 @@
 	external/ExRootAnalysis/ExRootTask.h \
 	external/ExRootAnalysis/ExRootConfReader.h
-tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeReader.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeReader.h
-tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootTreeBranch.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootConfReader.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootConfReader.h \
-	external/tcl/tcl.h
-tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf): \
-	external/ExRootAnalysis/ExRootFilter.$(SrcSuf) \
-	external/ExRootAnalysis/ExRootFilter.h \
-	external/ExRootAnalysis/ExRootClassifier.h
 tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf): \
 	external/ExRootAnalysis/ExRootTreeWriter.$(SrcSuf) \
 	external/ExRootAnalysis/ExRootTreeWriter.h \
 	external/ExRootAnalysis/ExRootTreeBranch.h
-tmp/external/fastjet/ClosestPair2D.$(ObjSuf): \
-	external/fastjet/ClosestPair2D.$(SrcSuf) \
-	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
+	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
+	external/fastjet/GhostedAreaSpec.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf): \
+	external/fastjet/ClusterSequence_N2.$(SrcSuf)
+tmp/external/fastjet/BasicRandom.$(ObjSuf): \
+	external/fastjet/BasicRandom.$(SrcSuf) \
+	external/fastjet/internal/BasicRandom.hh
+tmp/external/fastjet/Error.$(ObjSuf): \
+	external/fastjet/Error.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/config.h
+tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
+	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/MinHeap.hh
+tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequence1GhostPassiveArea.$(SrcSuf) \
+	external/fastjet/ClusterSequence1GhostPassiveArea.hh
 tmp/external/fastjet/JetDefinition.$(ObjSuf): \
 	external/fastjet/JetDefinition.$(SrcSuf) \
@@ -373,4 +391,7 @@
 	external/fastjet/Error.hh \
 	external/fastjet/CompositeJetStructure.hh
+tmp/external/fastjet/ClosestPair2D.$(ObjSuf): \
+	external/fastjet/ClosestPair2D.$(SrcSuf) \
+	external/fastjet/internal/ClosestPair2D.hh
 tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf): \
 	external/fastjet/ClusterSequenceStructure.$(SrcSuf) \
@@ -380,125 +401,135 @@
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
-	external/fastjet/CompositeJetStructure.$(SrcSuf)
-tmp/external/fastjet/DnnPlane.$(ObjSuf): \
-	external/fastjet/DnnPlane.$(SrcSuf) \
-	external/fastjet/internal/DnnPlane.hh
-tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf): \
-	external/fastjet/GhostedAreaSpec.$(SrcSuf) \
-	external/fastjet/GhostedAreaSpec.hh \
-	external/fastjet/Error.hh
-tmp/external/fastjet/Voronoi.$(ObjSuf): \
-	external/fastjet/Voronoi.$(SrcSuf) \
-	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/PseudoJet.$(ObjSuf): \
-	external/fastjet/PseudoJet.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh \
-	external/fastjet/CompositeJetStructure.hh
-tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
-	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/Dnn4piCylinder.hh \
-	external/fastjet/internal/Dnn3piCylinder.hh \
-	external/fastjet/internal/Dnn2piCylinder.hh
 tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf): \
 	external/fastjet/ClusterSequencePassiveArea.$(SrcSuf) \
 	external/fastjet/ClusterSequencePassiveArea.hh \
 	external/fastjet/ClusterSequenceVoronoiArea.hh
-tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf): \
-	external/fastjet/ClusterSequenceAreaBase.$(SrcSuf) \
-	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf): \
-	external/fastjet/ClusterSequence_CP2DChan.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
+	external/fastjet/ClusterSequenceArea.hh
 tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf): \
 	external/fastjet/Dnn2piCylinder.$(SrcSuf) \
 	external/fastjet/internal/Dnn2piCylinder.hh
-tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceArea.$(SrcSuf) \
-	external/fastjet/ClusterSequenceArea.hh
-tmp/external/fastjet/ClusterSequence.$(ObjSuf): \
-	external/fastjet/ClusterSequence.$(SrcSuf) \
+tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf): \
+	external/fastjet/PseudoJetStructureBase.$(SrcSuf) \
+	external/fastjet/PseudoJetStructureBase.hh \
 	external/fastjet/Error.hh \
 	external/fastjet/PseudoJet.hh \
 	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceStructure.hh \
-	external/fastjet/version.hh
+	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
+	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
+	external/fastjet/AreaDefinition.$(SrcSuf) \
+	external/fastjet/AreaDefinition.hh
+tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
+	external/fastjet/LimitedWarning.$(SrcSuf) \
+	external/fastjet/LimitedWarning.hh
 tmp/external/fastjet/Selector.$(ObjSuf): \
 	external/fastjet/Selector.$(SrcSuf) \
 	external/fastjet/Selector.hh \
 	external/fastjet/GhostedAreaSpec.hh
-tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceActiveArea.hh \
-	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
-tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf): \
-	external/fastjet/ClusterSequence_N2.$(SrcSuf)
-tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
-	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
+tmp/external/fastjet/ClusterSequence.$(ObjSuf): \
+	external/fastjet/ClusterSequence.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceStructure.hh \
+	external/fastjet/version.hh
 tmp/external/fastjet/MinHeap.$(ObjSuf): \
 	external/fastjet/MinHeap.$(SrcSuf) \
 	external/fastjet/internal/MinHeap.hh
-tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf): \
-	external/fastjet/ClusterSequence1GhostPassiveArea.$(SrcSuf) \
-	external/fastjet/ClusterSequence1GhostPassiveArea.hh
-tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf): \
-	external/fastjet/ClusterSequence_TiledN2.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/internal/MinHeap.hh
-tmp/external/fastjet/Error.$(ObjSuf): \
-	external/fastjet/Error.$(SrcSuf) \
+tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf): \
+	external/fastjet/ClusterSequenceAreaBase.$(SrcSuf) \
+	external/fastjet/ClusterSequenceAreaBase.hh
+tmp/external/fastjet/CompositeJetStructure.$(ObjSuf): \
+	external/fastjet/CompositeJetStructure.$(SrcSuf)
+tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf): \
+	external/fastjet/ClusterSequence_CP2DChan.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/ClosestPair2D.hh
+tmp/external/fastjet/DnnPlane.$(ObjSuf): \
+	external/fastjet/DnnPlane.$(SrcSuf) \
+	external/fastjet/internal/DnnPlane.hh
+tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf): \
+	external/fastjet/FunctionOfPseudoJet.$(SrcSuf)
+tmp/external/fastjet/PseudoJet.$(ObjSuf): \
+	external/fastjet/PseudoJet.$(SrcSuf) \
 	external/fastjet/Error.hh \
-	external/fastjet/config.h
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceAreaBase.hh \
+	external/fastjet/CompositeJetStructure.hh
 tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf): \
 	external/fastjet/ClusterSequenceVoronoiArea.$(SrcSuf) \
 	external/fastjet/ClusterSequenceVoronoiArea.hh \
 	external/fastjet/internal/Voronoi.hh
-tmp/external/fastjet/BasicRandom.$(ObjSuf): \
-	external/fastjet/BasicRandom.$(SrcSuf) \
-	external/fastjet/internal/BasicRandom.hh
 tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf): \
 	external/fastjet/Dnn3piCylinder.$(SrcSuf) \
 	external/fastjet/internal/Dnn3piCylinder.hh
-tmp/external/fastjet/LimitedWarning.$(ObjSuf): \
-	external/fastjet/LimitedWarning.$(SrcSuf) \
-	external/fastjet/LimitedWarning.hh
-tmp/external/fastjet/AreaDefinition.$(ObjSuf): \
-	external/fastjet/AreaDefinition.$(SrcSuf) \
-	external/fastjet/AreaDefinition.hh
+tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf): \
+	external/fastjet/ClusterSequenceActiveArea.$(SrcSuf) \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/ClusterSequenceActiveArea.hh \
+	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
 tmp/external/fastjet/RangeDefinition.$(ObjSuf): \
 	external/fastjet/RangeDefinition.$(SrcSuf) \
 	external/fastjet/RangeDefinition.hh
+tmp/external/fastjet/Voronoi.$(ObjSuf): \
+	external/fastjet/Voronoi.$(SrcSuf) \
+	external/fastjet/internal/Voronoi.hh
+tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
+	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
+	external/fastjet/internal/Dnn4piCylinder.hh
 tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf): \
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(SrcSuf) \
 	external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.hh
-tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf): \
-	external/fastjet/ClusterSequence_DumbN3.$(SrcSuf) \
-	external/fastjet/PseudoJet.hh \
+tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf): \
+	external/fastjet/ClusterSequence_Delaunay.$(SrcSuf) \
+	external/fastjet/Error.hh \
+	external/fastjet/PseudoJet.hh \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/internal/Dnn4piCylinder.hh \
+	external/fastjet/internal/Dnn3piCylinder.hh \
+	external/fastjet/internal/Dnn2piCylinder.hh
+tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf): \
+	external/fastjet/plugins/TrackJet/TrackJetPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf): \
-	external/fastjet/Dnn4piCylinder.$(SrcSuf) \
-	external/fastjet/internal/Dnn4piCylinder.hh
-tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf): \
-	external/fastjet/PseudoJetStructureBase.$(SrcSuf) \
-	external/fastjet/PseudoJetStructureBase.hh \
-	external/fastjet/Error.hh \
-	external/fastjet/PseudoJet.hh \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/ClusterSequenceAreaBase.hh
-tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/Error.hh
+tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
-	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/area.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
+tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
+	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
+tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf): \
+	external/fastjet/plugins/GridJet/GridJetPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf): \
@@ -506,47 +537,14 @@
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf): \
-	external/fastjet/plugins/TrackJet/TrackJetPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf): \
+	external/fastjet/plugins/EECambridge/EECambridgePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh \
+	external/fastjet/NNH.hh
 tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf): \
 	external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/Error.hh
-tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/reference.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/SISConePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
-tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/split_merge.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/momentum.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/area.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/hash.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/ranlux.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/quadtree.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/geom_2d.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/vicinity.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/protocones.$(SrcSuf)
-tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf): \
-	external/fastjet/plugins/SISCone/siscone_error.$(SrcSuf)
-tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf): \
-	external/fastjet/plugins/GridJet/GridJetPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf): \
 	external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
-	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/Error.hh
 tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf): \
 	external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(SrcSuf) \
@@ -554,198 +552,200 @@
 tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf): \
 	external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(SrcSuf)
-tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf): \
-	external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(SrcSuf) \
+tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf): \
+	external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh \
 	external/fastjet/Error.hh
-tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf): \
-	external/fastjet/plugins/EECambridge/EECambridgePlugin.$(SrcSuf) \
-	external/fastjet/ClusterSequence.hh \
-	external/fastjet/NNH.hh
-tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
+tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf): \
+	external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf): \
+	external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(SrcSuf) \
+	external/fastjet/ClusterSequence.hh
 tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf): \
 	external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(SrcSuf) \
 	external/fastjet/ClusterSequence.hh
+tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
 tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf): \
 	external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(SrcSuf)
-tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf): \
-	external/fastjet/plugins/ATLASCone/Jet.$(SrcSuf)
+tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf): \
+	external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(SrcSuf)
 SOURCE_OBJ =  \
+	tmp/classes/DelphesStream.$(ObjSuf) \
+	tmp/classes/DelphesFormula.$(ObjSuf) \
 	tmp/classes/DelphesModule.$(ObjSuf) \
 	tmp/classes/DelphesClasses.$(ObjSuf) \
 	tmp/classes/DelphesFactory.$(ObjSuf) \
-	tmp/classes/DelphesFormula.$(ObjSuf) \
-	tmp/classes/DelphesStream.$(ObjSuf) \
+	tmp/modules/ParticlePropagator.$(ObjSuf) \
+	tmp/modules/BTagging.$(ObjSuf) \
+	tmp/modules/TreeWriter.$(ObjSuf) \
+	tmp/modules/MagneticField.$(ObjSuf) \
 	tmp/modules/Delphes.$(ObjSuf) \
-	tmp/modules/ExampleModule.$(ObjSuf) \
-	tmp/modules/ParticlePropagator.$(ObjSuf) \
-	tmp/modules/MomentumSmearing.$(ObjSuf) \
+	tmp/modules/Efficiency.$(ObjSuf) \
 	tmp/modules/TauTagging.$(ObjSuf) \
-	tmp/modules/TreeWriter.$(ObjSuf) \
+	tmp/modules/FastJetFinder.$(ObjSuf) \
+	tmp/modules/Tracking.$(ObjSuf) \
+	tmp/modules/EnergySmearing.$(ObjSuf) \
+	tmp/modules/Isolation.$(ObjSuf) \
+	tmp/modules/Merger.$(ObjSuf) \
 	tmp/modules/TauJetFinder.$(ObjSuf) \
 	tmp/modules/UniqueObjectFinder.$(ObjSuf) \
+	tmp/modules/MomentumSmearing.$(ObjSuf) \
 	tmp/modules/Calorimeter.$(ObjSuf) \
-	tmp/modules/BTagging.$(ObjSuf) \
-	tmp/modules/EnergySmearing.$(ObjSuf) \
-	tmp/modules/MagneticField.$(ObjSuf) \
-	tmp/modules/Efficiency.$(ObjSuf) \
-	tmp/modules/Tracking.$(ObjSuf) \
-	tmp/modules/Merger.$(ObjSuf) \
-	tmp/modules/Isolation.$(ObjSuf) \
-	tmp/modules/FastJetFinder.$(ObjSuf) \
+	tmp/modules/ExampleModule.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootProgressBar.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootResult.$(ObjSuf) \
+	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootUtilities.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTask.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeReader.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootTreeBranch.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootConfReader.$(ObjSuf) \
-	tmp/external/ExRootAnalysis/ExRootFilter.$(ObjSuf) \
 	tmp/external/ExRootAnalysis/ExRootTreeWriter.$(ObjSuf) \
+	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf) \
+	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
+	tmp/external/fastjet/Error.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
+	tmp/external/fastjet/JetDefinition.$(ObjSuf) \
 	tmp/external/fastjet/ClosestPair2D.$(ObjSuf) \
-	tmp/external/fastjet/JetDefinition.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequenceStructure.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
+	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
+	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
+	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
+	tmp/external/fastjet/Selector.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence.$(ObjSuf) \
+	tmp/external/fastjet/MinHeap.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf) \
 	tmp/external/fastjet/CompositeJetStructure.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf) \
 	tmp/external/fastjet/DnnPlane.$(ObjSuf) \
-	tmp/external/fastjet/GhostedAreaSpec.$(ObjSuf) \
+	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
+	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
+	tmp/external/fastjet/RangeDefinition.$(ObjSuf) \
 	tmp/external/fastjet/Voronoi.$(ObjSuf) \
-	tmp/external/fastjet/PseudoJet.$(ObjSuf) \
+	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
+	tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
 	tmp/external/fastjet/ClusterSequence_Delaunay.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequencePassiveArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceAreaBase.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_CP2DChan.$(ObjSuf) \
-	tmp/external/fastjet/Dnn2piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence.$(ObjSuf) \
-	tmp/external/fastjet/Selector.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceActiveArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_N2.$(ObjSuf) \
-	tmp/external/fastjet/FunctionOfPseudoJet.$(ObjSuf) \
-	tmp/external/fastjet/MinHeap.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence1GhostPassiveArea.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_TiledN2.$(ObjSuf) \
-	tmp/external/fastjet/Error.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceVoronoiArea.$(ObjSuf) \
-	tmp/external/fastjet/BasicRandom.$(ObjSuf) \
-	tmp/external/fastjet/Dnn3piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/LimitedWarning.$(ObjSuf) \
-	tmp/external/fastjet/AreaDefinition.$(ObjSuf) \
-	tmp/external/fastjet/RangeDefinition.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequenceActiveAreaExplicitGhosts.$(ObjSuf) \
-	tmp/external/fastjet/ClusterSequence_DumbN3.$(ObjSuf) \
-	tmp/external/fastjet/Dnn4piCylinder.$(ObjSuf) \
-	tmp/external/fastjet/PseudoJetStructureBase.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
+	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
+	tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/Jade/JadePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/TrackJet/TrackJetPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/D0RunIICone/D0RunIIConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/reference.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/SISConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/split_merge.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/momentum.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/area.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/hash.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/ranlux.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/quadtree.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/geom_2d.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/vicinity.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/protocones.$(ObjSuf) \
-	tmp/external/fastjet/plugins/SISCone/siscone_error.$(ObjSuf) \
-	tmp/external/fastjet/plugins/GridJet/GridJetPlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/CDFCones/JetCluAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/CDFCones/CDFJetCluPlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/CDFCones/MidPointAlgorithm.$(ObjSuf) \
-	tmp/external/fastjet/plugins/D0RunICone/D0RunIBaseConePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/EECambridge/EECambridgePlugin.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CDFCones/CDFMidPointPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/NestedDefs/NestedDefsPlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/CMSIterativeCone/CMSIterativeConePlugin.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/ATLASConePlugin.$(ObjSuf) \
+	tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf) \
 	tmp/external/fastjet/plugins/ATLASCone/JetSplitMergeTool.$(ObjSuf) \
-	tmp/external/fastjet/plugins/ATLASCone/Jet.$(ObjSuf)
-
+	tmp/external/fastjet/plugins/ATLASCone/JetConeFinderTool.$(ObjSuf)
+
+tmp/external/tcl/tclProc.$(ObjSuf): \
+	external/tcl/tclProc.c
+tmp/external/tcl/tclStringObj.$(ObjSuf): \
+	external/tcl/tclStringObj.c
+tmp/external/tcl/tclCmdAH.$(ObjSuf): \
+	external/tcl/tclCmdAH.c
+tmp/external/tcl/tclUtil.$(ObjSuf): \
+	external/tcl/tclUtil.c
+tmp/external/tcl/tclExecute.$(ObjSuf): \
+	external/tcl/tclExecute.c
 tmp/external/tcl/tclCmdIL.$(ObjSuf): \
 	external/tcl/tclCmdIL.c
+tmp/external/tcl/tclCompExpr.$(ObjSuf): \
+	external/tcl/tclCompExpr.c
+tmp/external/tcl/tclAsync.$(ObjSuf): \
+	external/tcl/tclAsync.c
+tmp/external/tcl/tclIndexObj.$(ObjSuf): \
+	external/tcl/tclIndexObj.c
 tmp/external/tcl/tclAlloc.$(ObjSuf): \
 	external/tcl/tclAlloc.c
 tmp/external/tcl/tclLink.$(ObjSuf): \
 	external/tcl/tclLink.c
+tmp/external/tcl/tclHistory.$(ObjSuf): \
+	external/tcl/tclHistory.c
+tmp/external/tcl/tclParse.$(ObjSuf): \
+	external/tcl/tclParse.c
+tmp/external/tcl/tclVar.$(ObjSuf): \
+	external/tcl/tclVar.c
+tmp/external/tcl/tclCompile.$(ObjSuf): \
+	external/tcl/tclCompile.c
+tmp/external/tcl/tclResolve.$(ObjSuf): \
+	external/tcl/tclResolve.c
+tmp/external/tcl/tclPreserve.$(ObjSuf): \
+	external/tcl/tclPreserve.c
+tmp/external/tcl/tclHash.$(ObjSuf): \
+	external/tcl/tclHash.c
+tmp/external/tcl/tclBasic.$(ObjSuf): \
+	external/tcl/tclBasic.c
+tmp/external/tcl/panic.$(ObjSuf): \
+	external/tcl/panic.c
+tmp/external/tcl/tclCkalloc.$(ObjSuf): \
+	external/tcl/tclCkalloc.c
 tmp/external/tcl/tclObj.$(ObjSuf): \
 	external/tcl/tclObj.c
-tmp/external/tcl/tclIndexObj.$(ObjSuf): \
-	external/tcl/tclIndexObj.c
-tmp/external/tcl/tclExecute.$(ObjSuf): \
-	external/tcl/tclExecute.c
-tmp/external/tcl/tclProc.$(ObjSuf): \
-	external/tcl/tclProc.c
-tmp/external/tcl/tclPreserve.$(ObjSuf): \
-	external/tcl/tclPreserve.c
+tmp/external/tcl/tclListObj.$(ObjSuf): \
+	external/tcl/tclListObj.c
+tmp/external/tcl/tclNamesp.$(ObjSuf): \
+	external/tcl/tclNamesp.c
+tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
+	external/tcl/tclCmdMZ.c
 tmp/external/tcl/tclGet.$(ObjSuf): \
 	external/tcl/tclGet.c
-tmp/external/tcl/tclCmdAH.$(ObjSuf): \
-	external/tcl/tclCmdAH.c
-tmp/external/tcl/tclStringObj.$(ObjSuf): \
-	external/tcl/tclStringObj.c
-tmp/external/tcl/tclResolve.$(ObjSuf): \
-	external/tcl/tclResolve.c
-tmp/external/tcl/tclListObj.$(ObjSuf): \
-	external/tcl/tclListObj.c
-tmp/external/tcl/tclUtil.$(ObjSuf): \
-	external/tcl/tclUtil.c
-tmp/external/tcl/tclNamesp.$(ObjSuf): \
-	external/tcl/tclNamesp.c
-tmp/external/tcl/tclHash.$(ObjSuf): \
-	external/tcl/tclHash.c
-tmp/external/tcl/tclParse.$(ObjSuf): \
-	external/tcl/tclParse.c
-tmp/external/tcl/tclCompExpr.$(ObjSuf): \
-	external/tcl/tclCompExpr.c
-tmp/external/tcl/tclCmdMZ.$(ObjSuf): \
-	external/tcl/tclCmdMZ.c
-tmp/external/tcl/tclHistory.$(ObjSuf): \
-	external/tcl/tclHistory.c
-tmp/external/tcl/tclCkalloc.$(ObjSuf): \
-	external/tcl/tclCkalloc.c
-tmp/external/tcl/tclCompile.$(ObjSuf): \
-	external/tcl/tclCompile.c
-tmp/external/tcl/tclBasic.$(ObjSuf): \
-	external/tcl/tclBasic.c
-tmp/external/tcl/tclVar.$(ObjSuf): \
-	external/tcl/tclVar.c
 tmp/external/tcl/tclPosixStr.$(ObjSuf): \
 	external/tcl/tclPosixStr.c
-tmp/external/tcl/tclAsync.$(ObjSuf): \
-	external/tcl/tclAsync.c
-tmp/external/tcl/panic.$(ObjSuf): \
-	external/tcl/panic.c
 TCL_OBJ =  \
+	tmp/external/tcl/tclProc.$(ObjSuf) \
+	tmp/external/tcl/tclStringObj.$(ObjSuf) \
+	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
+	tmp/external/tcl/tclUtil.$(ObjSuf) \
+	tmp/external/tcl/tclExecute.$(ObjSuf) \
 	tmp/external/tcl/tclCmdIL.$(ObjSuf) \
+	tmp/external/tcl/tclCompExpr.$(ObjSuf) \
+	tmp/external/tcl/tclAsync.$(ObjSuf) \
+	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
 	tmp/external/tcl/tclAlloc.$(ObjSuf) \
 	tmp/external/tcl/tclLink.$(ObjSuf) \
+	tmp/external/tcl/tclHistory.$(ObjSuf) \
+	tmp/external/tcl/tclParse.$(ObjSuf) \
+	tmp/external/tcl/tclVar.$(ObjSuf) \
+	tmp/external/tcl/tclCompile.$(ObjSuf) \
+	tmp/external/tcl/tclResolve.$(ObjSuf) \
+	tmp/external/tcl/tclPreserve.$(ObjSuf) \
+	tmp/external/tcl/tclHash.$(ObjSuf) \
+	tmp/external/tcl/tclBasic.$(ObjSuf) \
+	tmp/external/tcl/panic.$(ObjSuf) \
+	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
 	tmp/external/tcl/tclObj.$(ObjSuf) \
-	tmp/external/tcl/tclIndexObj.$(ObjSuf) \
-	tmp/external/tcl/tclExecute.$(ObjSuf) \
-	tmp/external/tcl/tclProc.$(ObjSuf) \
-	tmp/external/tcl/tclPreserve.$(ObjSuf) \
+	tmp/external/tcl/tclListObj.$(ObjSuf) \
+	tmp/external/tcl/tclNamesp.$(ObjSuf) \
+	tmp/external/tcl/tclCmdMZ.$(ObjSuf) \
 	tmp/external/tcl/tclGet.$(ObjSuf) \
-	tmp/external/tcl/tclCmdAH.$(ObjSuf) \
-	tmp/external/tcl/tclStringObj.$(ObjSuf) \
-	tmp/external/tcl/tclResolve.$(ObjSuf) \
-	tmp/external/tcl/tclListObj.$(ObjSuf) \
-	tmp/external/tcl/tclUtil.$(ObjSuf) \
-	tmp/external/tcl/tclNamesp.$(ObjSuf) \
-	tmp/external/tcl/tclHash.$(ObjSuf) \
-	tmp/external/tcl/tclParse.$(ObjSuf) \
-	tmp/external/tcl/tclCompExpr.$(ObjSuf) \
-	tmp/external/tcl/tclCmdMZ.$(ObjSuf) \
-	tmp/external/tcl/tclHistory.$(ObjSuf) \
-	tmp/external/tcl/tclCkalloc.$(ObjSuf) \
-	tmp/external/tcl/tclCompile.$(ObjSuf) \
-	tmp/external/tcl/tclBasic.$(ObjSuf) \
-	tmp/external/tcl/tclVar.$(ObjSuf) \
-	tmp/external/tcl/tclPosixStr.$(ObjSuf) \
-	tmp/external/tcl/tclAsync.$(ObjSuf) \
-	tmp/external/tcl/panic.$(ObjSuf)
+	tmp/external/tcl/tclPosixStr.$(ObjSuf)
 
 external/fastjet/ClusterSequence.hh: \
@@ -766,10 +766,10 @@
 	@touch $@
 
+modules/EnergySmearing.h: \
+	classes/DelphesModule.h
+	@touch $@
+
 external/fastjet/internal/MinHeap.hh: \
 	external/fastjet/internal/base.hh
-	@touch $@
-
-modules/EnergySmearing.h: \
-	classes/DelphesModule.h
 	@touch $@
 
@@ -839,4 +839,9 @@
 modules/Efficiency.h: \
 	classes/DelphesModule.h
+	@touch $@
+
+external/fastjet/internal/DnnPlane.hh: \
+	external/fastjet/internal/Triangulation.hh \
+	external/fastjet/internal/DynamicNearestNeighbours.hh
 	@touch $@
 
@@ -850,9 +855,4 @@
 	@touch $@
 
-external/fastjet/internal/DnnPlane.hh: \
-	external/fastjet/internal/Triangulation.hh \
-	external/fastjet/internal/DynamicNearestNeighbours.hh
-	@touch $@
-
 external/fastjet/ClusterSequence1GhostPassiveArea.hh: \
 	external/fastjet/PseudoJet.hh \
@@ -955,8 +955,4 @@
 	@touch $@
 
-external/fastjet/AreaDefinition.hh: \
-	external/fastjet/GhostedAreaSpec.hh
-	@touch $@
-
 external/fastjet/internal/Dnn3piCylinder.hh: \
 	external/fastjet/internal/DynamicNearestNeighbours.hh \
@@ -965,4 +961,8 @@
 	@touch $@
 
+external/fastjet/AreaDefinition.hh: \
+	external/fastjet/GhostedAreaSpec.hh
+	@touch $@
+
 modules/TreeWriter.h: \
 	classes/DelphesModule.h
@@ -979,10 +979,10 @@
 	@touch $@
 
+classes/DelphesClasses.h: \
+	classes/SortableObject.h
+	@touch $@
+
 external/fastjet/config.h: \
 	external/fastjet/config_win.h
-	@touch $@
-
-classes/DelphesClasses.h: \
-	classes/SortableObject.h
 	@touch $@
 
Index: /trunk/Delphes-3.0.0/tmp/classes/ClassesDict.cc
===================================================================
--- /trunk/Delphes-3.0.0/tmp/classes/ClassesDict.cc	(revision 3)
+++ /trunk/Delphes-3.0.0/tmp/classes/ClassesDict.cc	(revision 4)
@@ -50,5 +50,5 @@
 
 //
-// File generated by rootcint at Thu Jan 24 15:30:56 2013
+// File generated by rootcint at Thu Feb  7 10:55:12 2013
 
 // Do NOT change. Changes will be lost next time file is generated
Index: /trunk/Delphes-3.0.0/tmp/external/ExRootAnalysis/ExRootAnalysisDict.cc
===================================================================
--- /trunk/Delphes-3.0.0/tmp/external/ExRootAnalysis/ExRootAnalysisDict.cc	(revision 3)
+++ /trunk/Delphes-3.0.0/tmp/external/ExRootAnalysis/ExRootAnalysisDict.cc	(revision 4)
@@ -49,5 +49,5 @@
 
 //
-// File generated by rootcint at Thu Jan 24 15:31:08 2013
+// File generated by rootcint at Thu Feb  7 10:55:23 2013
 
 // Do NOT change. Changes will be lost next time file is generated
Index: /trunk/Delphes-3.0.0/tmp/modules/ModulesDict.cc
===================================================================
--- /trunk/Delphes-3.0.0/tmp/modules/ModulesDict.cc	(revision 3)
+++ /trunk/Delphes-3.0.0/tmp/modules/ModulesDict.cc	(revision 4)
@@ -60,5 +60,5 @@
 #endif
 //
-// File generated by rootcint at Thu Jan 24 15:31:01 2013
+// File generated by rootcint at Thu Feb  7 10:55:17 2013
 
 // Do NOT change. Changes will be lost next time file is generated
Index: /trunk/config.csh
===================================================================
--- /trunk/config.csh	(revision 3)
+++ /trunk/config.csh	(revision 4)
@@ -1,3 +1,12 @@
 #!/bin/tcsh
+
+# test if the first argument is help
+if ( $#argv > 0 ) then
+    if ( $1 == help  || $1 == h || $1 == --help || $1 == --h ) then
+	echo after a clean checkout to recompile: source config.csh init
+	echo working on your project: source config.csh
+	exit
+    endif
+endif
 
 echo setting up root 5.34
@@ -54,4 +63,20 @@
 setenv LD_LIBRARY_PATH ${ROOTSYS}/${libdir}:${LD_LIBRARY_PATH}
 
+# test of this is for a global recompilation/installation
+if ( $#argv > 0 ) then
+    if ( $1 == init ) then
+	cd Pythia8/pythia8170/
+	./configure --with-hepmc=../../hepmc/x86_64-slc5-gcc41-opt/
+	gmake
+	cd examples
+	./configure 
+	cd ../../../
+	cd Delphes-3.0.0
+	./configure
+	gmake
+	cd ../
+    endif
+endif
+
 echo setting up Pythia8 with HepMC
 source `pwd`/Pythia8/pythia8170/examples/config.csh
@@ -59,3 +84,3 @@
 echo setting up PythiaDelphes
 setenv PYTHIA8LOCATION `pwd`/Pythia8/pythia8170
-setenv PYTHIA8DATA `pwd`/Pythia8/pythia8170
+setenv PYTHIA8DATA `pwd`/Pythia8/pythia8170/xmldoc
